{% extends 'base.html.twig' %}
{% form_theme form_search 'bootstrap_4_layout.html.twig' %}
{% block title %}Matiere {% endblock %}

{% block body %}
    {% for message in app.flashes('info') %}
        <div class="alert alert-success">{{ message }}</div>
    {% endfor %}

    <td>
        <a>
            <button class="btn btn-success btn_new_matiere" url="{{ path('matiere_new_ajax') }}"><span
                        class="glyphicon glyphicon-plus" title="Ajouter"> Ajouter</span></button>
        </a>

    </td>

    <div class="box">
        <div class="box-header">
            <h3 class="box-title">Recherche Matière </h3>
        </div>
        <!-- /.box-header -->
        <div class="box-body">
            {{ form_start(form_search) }}
            <div class="row">
                <div class="col-md-2">
                    {{ form_row(form_search.code_matiere,{'value':app.request.get('code_matiere')}) }}
                </div>
                <div class="col-md-3">
                    {{ form_row(form_search.libelle_matiere_fr,
                        {'value':app.request.get('libelle_matiere_fr')}) }}
                </div>
                <div class="col-md-3">
                    {{ form_row(form_search.niveau,{'value':app.request.get('niveau')}) }}
                </div>
                <div class="col-md-2">
                    {{ form_row(form_search.coefficient
                        ,{'value':app.request.get('coefficient')}) }}
                </div>
                <div class="col-md-3">
                    {{ form_row(form_search.module,{'value':app.request.get('module')}) }}
                </div>
                <div class="col-md-3">
                    {{ form_row(form_search.semestre,{'value':app.request.get('semestre')}) }}
                </div>
                <div class="col-md-3">
                    {{ form_row(form_search.typematiere,{'value':app.request.get('typematiere')}) }}
                </div>
                <div class="col-md-2" style="margin-top: 25px;">
                    <button class="btn btn-primary"><span class="glyphicon glyphicon-search" title="Chercher"></span>
                    </button>
                    <a href="{{ path('matiere_index') }}" class="btn btn-danger"><span
                                class="glyphicon glyphicon-refresh" title="Actualiser"></span></a>
                </div>
            </div>
            {{ form_end(form_search) }}
        </div>
    </div>


    <div class="box">
        <div class="box-header">
            <h3 class="box-title">Liste des Matières </h3>
        </div>
        <!-- /.box-header -->
        <div class="box-body">
            <table id="" class="table table-bordered table-striped">
                <thead>
                <tr>
                    <th>Code matière</th>
                    <th>Libelle matière en français</th>
                    <th>Libelle matière en arabe</th>
                    <th>Niveau</th>
                    <th>Semestre</th>
                    <th>Coefficient</th>
                    <th>Action</th>

                </tr>
                </thead>
                <tbody>
                {% for matiere in matieres %}
                    <tr>
                        <td>{{ matiere.codeMatiere }}</td>
                        <td>{{ matiere.libelleMatiereFr }}</td>
                        <td>{{ matiere.libelleMatiereAr }}</td>
                        <td>{{ matiere.niveau.libelleNiveauAr }}</td>
                        <td>{{ matiere.semestre.libelleSemestreAr }}</td>
                        <td>{{ matiere.coefficient }}</td>

                        <td>
                            <ul class="list_act_ens" style="width: 170px">
                                <li>
                                    <a>
                                        <button class="btn btn-primary btn_info_matiere"
                                                url="{{ path('matiere_show', {'id': matiere.id}) }}"><span
                                                    class="glyphicon glyphicon-info-sign" title="Détail"></span>
                                        </button>
                                    </a>
                                </li>
                                <li>
                                    <a>
                                        <button class="btn btn-success btn_edit_matiere"
                                                url="{{ path('matiere_edit_ajax', {'id': matiere.id}) }}"><span
                                                    class="glyphicon glyphicon-pencil" title="Modifier"></span>
                                        </button>
                                    </a>
                                </li>
                                {% if is_granted('ROLE_SCOLARITE') or is_granted('ROLE_ADMIN') or is_granted('ROLE_CHEF_DEPARTEMENT')%}
                                <li>
                                    {{ include('matiere/_delete_form.html.twig') }}
                                </li>
                                {% endif %}
                            </ul>
                        </td>
                    </tr>

                {% else %}
                    <tr>
                        <td colspan="4">Pas d'enregistrement</td>
                    </tr>
                {% endfor %}
                </tbody>
            </table>
            <div align='center' class="navigation">
                {{ knp_pagination_render(matieres) }}
            </div>
            {#fenetre modale #}

            <div class="modal fade" id="modalMatiere" tabindex="-1" role="dialog" aria-labelledby="myModalLabel"
                 aria-hidden="true">
                <div class="modal-dialog" role="document">
                    <div class="modal-content">
                        <div class="modal-header text-center">
                            <h4 class="modal-title w-100 font-weight-bold titre_modal_matiere">Ajouter une matiere</h4>
                            <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                                <span aria-hidden="true">&times;</span>
                            </button>
                        </div>
                        <div class="modal-body">
                            <div class="text-center">
                                <img src="{{ asset('images/loading.svg') }}" class="load_modal_body">
                            </div>
                            <div class="content_modal_body">
                            </div>
                        </div>
                        <div class="modal-footer">
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>

{% endblock %}
{% block mesJavascripts %}
    <script>
        $('body').on('click', '.btn_new_matiere', function (event) {
            $('#modalMatiere').modal('show');
            $('.content_modal_body').html('');
            $('.load_modal_body').show();
            $('.titre_modal_matiere').html('Ajouter nouvelle matiére');
            $('.modal-footer').html('<button type="button" class="btn btn-danger pull-right" data-dismiss="modal">Fermer</button>');
            var url = $(this).attr('url');
            $.ajax({
                url: url,
                method: 'POST',
                success: function (result) {
                    $('.load_modal_body').hide();
                    $('.content_modal_body').html(result);
                }
            });
        });
        $('body').on('click', '.btn_edit_matiere', function (event) {
            $('#modalMatiere').modal('show');
            $('.content_modal_body').html('');
            $('.modal-footer').html('<button type="button" class="btn btn-danger pull-right" data-dismiss="modal">Fermer</button>');
            $('.load_modal_body').show();
            $('.titre_modal_matiere').html('Modifier matiére');
            var url = $(this).attr('url');
            $.ajax({
                url: url,
                method: 'POST',
                success: function (result) {
                    $('.load_modal_body').hide();
                    $('.content_modal_body').html(result);
                }
            });
        });
        $('body').on('click', '.btn_info_matiere', function (event) {
            $('#modalMatiere').modal('show');
            $('.content_modal_body').html('');
            $('.load_modal_body').show();
            $('.modal-footer').html('<button type="button" class="btn btn-danger pull-right" data-dismiss="modal">Fermer</button>');
            $('.titre_modal_matiere').html('Info matiére');
            var url = $(this).attr('url');
            $.ajax({
                url: url,
                method: 'GET',
                success: function (result) {
                    $('.load_modal_body').hide();
                    $('.content_modal_body').html(result);
                }
            });
        });
        $('body').on('click', '.btn_del_matiere', function (event) {
            var name_matiere = $(this).attr('name_matiere');
            var id_matiere = $(this).attr('id_matiere');
            $('#modalMatiere').modal('show');
            $('.content_modal_body').html('');

            $('.titre_modal_matiere').html('Supprimer matiére');

            $('.content_modal_body').html('Voulez-vous vraiment supprimer la matiere: <b>' + name_matiere + '</b>');
            $('.modal-footer').html('<button type="button" class="btn btn-warning pull-right" data-dismiss="modal">Annuler</button><button type="button" class="btn btn-danger pull-right confirm_delete_matiere" onclick="confirmer_delete_matiere(' + id_matiere + ')" data-dismiss="modal">Confirmer</button>');
        });

        function confirmer_delete_matiere(id_matiere) {
            $('#form_delete_matiere_' + id_matiere).submit();
        }

        $('body').on('click', '.save_matiere', function (event) {

            var form = $('#form_add_matiere');
            var formData = new FormData(document.getElementById("form_add_matiere"));

            $.ajax({
                type: 'POST',
                cache: false,
                data: formData,
                url: form.attr('action'),
                processData: false,
                contentType: false,

                beforeSend: function (XMLHttpRequest) {
                    $('#form_add_matiere').attr('disabled', true);
                },

                success: function (msg) {
                    if (msg == 'ok') {
                        $('#modalMatiere').modal('hide');
                        location.reload();
                    } else {
                        $('.content_modal_body').html(msg);
                        //alert('erreur');
                    }
                }
            });

        });
        $('body').on('click', '.edit_matiere', function (event) {

            var form = $('#form_add_matiere');
            var formData = new FormData(document.getElementById("form_add_matiere"));

            $.ajax({
                type: 'POST',
                cache: false,
                data: formData,
                url: form.attr('action'),
                processData: false,
                contentType: false,

                beforeSend: function (XMLHttpRequest) {
                    $('#form_add_matiere').attr('disabled', true);

                },

                success: function (msg) {
                    if (msg == 'ok') {
                        $('#modalMatiere').modal('hide');
                        location.reload();
                    } else {
                        $('.content_modal_body').html(msg);
                        //alert('erreur');
                    }
                }
            });

        });

        function supprimer_matiere(name_matiere) {
            $('#modalMatiere').modal('show');
            $('.content_modal_body').html('');

            $('.titre_modal_matiere').html('Supprimer matiére');

            $('.content_modal_body').html('Voulez-vous vraiment supprimer la matiére: ' + name_matiere);
            return false;
        }
    </script>


{% endblock %}